import React, { RefObject } from 'react';
import { HiroColors } from '../../types';
export interface DropdownProps {
    trigger?: () => React.ReactNode;
    className?: string;
    outRef?: RefObject<HTMLDivElement>;
    fluid?: boolean;
    open: boolean;
    onClick?: () => void;
    onClear?: () => void;
    dropup?: boolean;
    color?: HiroColors;
    compact?: boolean;
    inverted?: boolean;
    text?: string;
    disabled?: boolean;
    placeholder?: string;
}
export interface DropdownTriggerWrapperProps {
    onClick?: (e?: React.SyntheticEvent) => void;
}
export interface DropdownTriggerProps {
    open: boolean;
    onClear?: () => void;
    onClick?: (e?: React.SyntheticEvent) => void;
    dropup?: boolean;
    color?: HiroColors;
    compact?: boolean;
    inverted?: boolean;
    text?: string;
    disabled?: boolean;
    placeholder?: string;
    fluid?: boolean;
}
export interface DropdownListWrapperProps {
    color?: HiroColors;
    maxHeight?: string;
    direction?: 'left' | 'right';
    rounded?: boolean;
    dropup?: boolean;
    autoWidth?: boolean;
    offset?: string;
    noBorder?: boolean;
}
export interface DropdownListOverflowWrapperProps {
    maxHeight?: string;
}
export interface DropdownItemProps {
    active?: boolean;
    autoHeight?: boolean;
    value?: any;
    divider?: boolean;
    disabled?: boolean;
    label?: string;
    onClick?: (e?: React.SyntheticEvent) => void;
}
export interface DropdownCheckboxProps {
    checked?: boolean;
    color?: HiroColors;
    inheritColor?: boolean;
}
export interface DropdownSubComponents {
    ListWrapper: React.FC<DropdownListWrapperProps>;
    TriggerWrapper: React.FC<DropdownTriggerWrapperProps>;
    Trigger: React.FC<DropdownProps>;
    Divider: React.FC;
    Item: React.FC<DropdownItemProps>;
    Checkbox: React.FC<DropdownCheckboxProps>;
}
