var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import React from 'react';
import styled from 'styled-components';
import Highlighter from 'react-highlight-words';
import { Avatar } from '../Avatar';
var SearchItemContainer = styled.div.withConfig({ displayName: "SearchItemContainer", componentId: "sc-1qcq6cv" })(function () { return ({
    display: 'flex',
    alignItems: 'center',
    padding: '11px 15px',
    color: '#515159',
    fontSize: 14,
    minHeight: 64,
    cursor: 'pointer',
    '&:nth-child(odd)': {
        background: 'rgba(199, 199, 203, 0.25)',
    },
    '&:hover': {
        background: 'rgba(199, 199, 203, 0.45)',
    },
}); });
var AvatarContainer = styled.div.withConfig({ displayName: "AvatarContainer", componentId: "sc-rxv07y" })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 38px;\n  height: 38px;\n  margin-right: 14px;\n  flex-shrink: 0;\n"], ["\n  width: 38px;\n  height: 38px;\n  margin-right: 14px;\n  flex-shrink: 0;\n"])));
var TextContainer = styled.div.withConfig({ displayName: "TextContainer", componentId: "sc-g9gesh" })(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n"], ["\n  display: flex;\n  flex-direction: column;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n"])));
var SubtitleContainer = styled.i.withConfig({ displayName: "SubtitleContainer", componentId: "sc-dmswjl" })(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: #707070;\n"], ["\n  color: #707070;\n"])));
export var SearchItem = function (_a) {
    var title = _a.title, subtitle = _a.subtitle, avatar = _a.avatar, onClick = _a.onClick, _b = _a.highlightWords, highlightWords = _b === void 0 ? [] : _b;
    return (React.createElement(SearchItemContainer, { onClick: onClick },
        avatar && (React.createElement(AvatarContainer, null,
            React.createElement(Avatar, { avatar: avatar, label: title }))),
        React.createElement(TextContainer, null,
            React.createElement(Highlighter, { highlightTag: "strong", searchWords: highlightWords, textToHighlight: title }),
            subtitle !== title && (React.createElement(SubtitleContainer, null,
                React.createElement(Highlighter, { highlightTag: "strong", searchWords: highlightWords, textToHighlight: subtitle }))))));
};
var templateObject_1, templateObject_2, templateObject_3;
